# Connected React Router Redux

It's a HoC that updates the reducer when using connected-react-router.

## Installation

Using [npm](https://www.npmjs.com/):
```bash
$ npm install --save connected-react-router-redux
```
Or [yarn](https://yarnpkg.com/):
```bash
$ yarn add connected-react-router-redux
```

## Usage

### TypeScript

```typescript
import { withRouterReducer } from 'connected-react-router-redux';
...

class AppComponent extends React.Component<AppComponentProps, {}> {
  ...
}
...
export default withRouterReducer(AppComponent);
```

connect(react-redux) usage.

```typescript
...
import { withRouterReducer } from 'connected-react-router-redux';
...

class AppComponent extends React.Component<AppComponentProps, {}> {
  ...
}
...
export default withRouterReducer(
  connect<MapStateToProps, MapDispatchToProps, React.ComponentClass<AppComponentProps>>(
    mapStateToProps,
    mapDispatchToProps,
  )(AppComponent)
);
```
